Orders
List your orders
List your orders, newest first. Page with limit (default 50, max 100) and offset;
the response’s pagination block tells you whether more pages exist and the
next_offset to request.
GET
/
v1
/
orders
List your orders
curl --request GET \
--url https://api.tybritelabs.com/logistics/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tybritelabs.com/logistics/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tybritelabs.com/logistics/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tybritelabs.com/logistics/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tybritelabs.com/logistics/v1/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tybritelabs.com/logistics/v1/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tybritelabs.com/logistics/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"id": "7c827437-7cf6-46ef-b587-b02f1741b487",
"status": "fulfilled",
"source": "storefront",
"reference": "SB-1787560387174",
"delivery_method": "last_mile",
"recipient_name": "Sandbox Cust",
"recipient_city": "Nairobi",
"shipment_id": "5a1636bb-7802-4407-843e-7ed804408977",
"created_at": "2026-08-24T08:33:08.720398+00:00"
},
{
"id": "d6eecd3a-d1eb-4c5d-8e0b-8cda3816f5bd",
"status": "fulfilled",
"source": "storefront",
"reference": "SB-1787168314966",
"delivery_method": "last_mile",
"recipient_name": "Sandbox Cust",
"recipient_city": "Nairobi",
"shipment_id": "3b6af0f9-aafd-45bf-8b1b-cbc67b7f520e",
"created_at": "2026-08-19T19:38:39.872939+00:00"
}
],
"meta": {
"count": 2
},
"pagination": {
"limit": 2,
"offset": 0,
"has_more": true,
"next_offset": 2
}
}Authorizations
Query Parameters
⌘I
List your orders
curl --request GET \
--url https://api.tybritelabs.com/logistics/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tybritelabs.com/logistics/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tybritelabs.com/logistics/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tybritelabs.com/logistics/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tybritelabs.com/logistics/v1/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tybritelabs.com/logistics/v1/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tybritelabs.com/logistics/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"id": "7c827437-7cf6-46ef-b587-b02f1741b487",
"status": "fulfilled",
"source": "storefront",
"reference": "SB-1787560387174",
"delivery_method": "last_mile",
"recipient_name": "Sandbox Cust",
"recipient_city": "Nairobi",
"shipment_id": "5a1636bb-7802-4407-843e-7ed804408977",
"created_at": "2026-08-24T08:33:08.720398+00:00"
},
{
"id": "d6eecd3a-d1eb-4c5d-8e0b-8cda3816f5bd",
"status": "fulfilled",
"source": "storefront",
"reference": "SB-1787168314966",
"delivery_method": "last_mile",
"recipient_name": "Sandbox Cust",
"recipient_city": "Nairobi",
"shipment_id": "3b6af0f9-aafd-45bf-8b1b-cbc67b7f520e",
"created_at": "2026-08-19T19:38:39.872939+00:00"
}
],
"meta": {
"count": 2
},
"pagination": {
"limit": 2,
"offset": 0,
"has_more": true,
"next_offset": 2
}
}
